1 Reply Latest reply on Nov 4, 2020 11:08 PM by AashitaR_11

    PIN203802 confusion

    JoBr_1593366

      USB "Not Recognized" on some lot numbers, but fixed by updating cy_boot 5.60→5.70?

      was closed so I can't reply there.

       

      I updated cy_boot from 5.70 to 5.90, which seemed to fix the problem, but now I see in the cy_boot changelog that there's a cy_boot 6.0 which also fixes the problem.  5.80 and 6.0 both have the same changes:  "Fixed the defect with IMO trimming with USB on some PSoC 4200L devices."

       

      So do I need to update again?  I don't understand why there are two revisions with the same changes.  Does 6.0 do something that 5.81 didn't do?

        • 1. Re: PIN203802 confusion
          AashitaR_11

          Hi JoBr_4655226,

           

          As you have mentioned that the thread USB "Not Recognized" on some lot numbers, but fixed by updating cy_boot 5.60→5.70? was locked, we usually lock the thread if there is inactivity. But since you have created a new thread here, we can continue the discussion over here.

           

          Also, there is no need of updating from cy_boot V5.81 to Version 6.0. Both the revisions come with the same changes - "Fixed the defect with IMO trimming with USB on some PSoC 4200L devices." . The only reason between this is,  in PSoC Creator V4.2, cy_boot 5.80 was revised to cy_boot 5.81 to fix the issue of defect with IMO trimming with USB on PSoC 4200L devices. But, in PSoC Creator 4.3, cy_boot 5.90 was updated to a newer cy_boot 6.0 for the same purpose.

           

          Hence, both cy_boot 5.81 and cy_boot 6.0 fix the same issue, but cy_boot 6.0 is not supported in PSoC Creator 4.2. Please let us know if this helps or in case of further queries.

           

          Best Regards,

          Aashita